PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Macros | Typedefs
pdirect.h File Reference
`#include "unix/ptlib/pdirect.h"`
Include dependency graph for pdirect.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | PFileInfo
| Class containing the system information on a file path. More...
class | PDirectory
| Class to represent a directory in the operating system file system. More...

## Macros
#define | PDIR_SEPARATOR '/'
#define | P_MAX_PATH (_POSIX_PATH_MAX)

## Typedefs
typedef PString | PFilePathString

## Macro Definition Documentation

#define P_MAX_PATH (_POSIX_PATH_MAX)

#define PDIR_SEPARATOR '/'

## Typedef Documentation

typedef PString PFilePathString